#
# spec file for package qimgv
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qimgv
Version:        0.7.3
Release:        1.1
Summary:        Qt5 image viewer
License:        GPL-3.0-only
Group:          Productivity/Graphics/Viewers
URL:            https://github.com/easymodo/qimgv
Source0:        https://github.com/easymodo/qimgv/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.9
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.9
BuildRequires:  pkgconfig(mpv) >= 1.22.0

%description
Qt5 image viewer with webm support.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Wed Jan 30 2019 aloisio@gmx.com
- Update to version 0.7.3
  * [FolderView] Zoom support
  * [FolderView] Ability to toggle filenames display
  * [FolderView] Icon grid is now centered
  * Re-done some of the icons, added HiDPI versions
  * Startup speed optimizations
  * Multiple UI related tweaks & bug fixes
  * Fixed build with Qt 5.9 (regression)
* Sat Jan 12 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.7.2
  * Improved HiDPI support
  * APNG support (via QtApng plugin - included in windows
    installer)
  * Optional RAW support via QtRaw plugin
  * Separate settings for fullscreen / windowed background
  * UI performance improvements
  * Updated some icons
  * Minor startup speed optimizations
  * Crop UI improvements
  * Smooth scroll checkbox now works again
  * Fixed some other bugs
  * Added --help text
* Tue Sep 18 2018 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.7.1
  * Fix build with Qt 5.9
  * Fix build with musl libc
* Wed Aug  8 2018 aloisio@gmx.com
- Update to version 0.7.0
  New stuff:
  * Folder View mode. Toggle with Enter or Backspace. This mode
    will be further improved in future
  * Ability to run commands / shell scripts on a current image
    + Go to Settings/Scripts
    + Create a command
    + Add a shortcut just like for any regular action
  * Context menu
  * Video controls
  * Background transparency & blur support (KDE)
  * Directory sorting (name, date, file size)
  * Trash support
  Improvements:
  * A new icon
  * Redesigned settings window
  * Several ui improvements: auto-hiding top buttons,
    toggle-able info overlay etc
  * Updated theme
  * Exif rotation should now be auto-applied on image load
  * More responsive image switching (fixed a job management bug
    in Loader)
  * Configurable thread count for thumbnailer
  * Fixed some possible crashes
  Other:
  * Added build flags for some features (kde blur and video
    support)
- Dropped qimgv-0.6-qt511.patch (merged upstream)
* Mon Jun 11 2018 aloisio@gmx.com
- Update to version 0.6.3
  * You can now mirror images by pressing H / V keys.
  version 0.6.2
  * WebM/MP4 playback issues #49
  version 0.6.1
  * Initial HiDPI support. May be buggy.
  * Add scroll animation.
  * Add a checkbox for .mp4 playback.
  * Rewrite crop overlay logic.
  * Workaround for https://bugreports.qt.io/browse/QTBUG-66387
- Dropped qimgv-0.6-qt56.patch and
  qimgv-0.6-no_return_in_nonvoid.patch (merged upstream)
- Added qimgv-0.6-qt511.patch to fix build with Qt 5.11
* Fri Jan 12 2018 aloisio@gmx.com
- Initial package (v0.6)
